// Made with Blockbench 4.11.0
// Exported for Minecraft version 1.17 or later with Mojang mappings
// Paste this class into your mod and generate all required imports

public class ModelCustom<T extends Entity> extends EntityModel<T> {
	// This layer location should be baked with EntityRendererProvider.Context in
	// the entity renderer and passed into this model's constructor
	public static final ModelLayerLocation LAYER_LOCATION = new ModelLayerLocation(
			new ResourceLocation("modid", "custom"), "main");
	private final ModelPart armorHead;
	private final ModelPart armorBody;
	private final ModelPart armorLeftArm;
	private final ModelPart armorRightArm;
	private final ModelPart armorLeftLeg;
	private final ModelPart armorLeftBoot;
	private final ModelPart armorRightLeg;
	private final ModelPart armorRightBoot;

	public ModelCustom(ModelPart root) {
		this.armorHead = root.getChild("armorHead");
		this.armorBody = root.getChild("armorBody");
		this.armorLeftArm = root.getChild("armorLeftArm");
		this.armorRightArm = root.getChild("armorRightArm");
		this.armorLeftLeg = root.getChild("armorLeftLeg");
		this.armorLeftBoot = root.getChild("armorLeftBoot");
		this.armorRightLeg = root.getChild("armorRightLeg");
		this.armorRightBoot = root.getChild("armorRightBoot");
	}

	public static LayerDefinition createBodyLayer() {
		MeshDefinition meshdefinition = new MeshDefinition();
		PartDefinition partdefinition = meshdefinition.getRoot();

		PartDefinition armorHead = partdefinition.addOrReplaceChild("armorHead", CubeListBuilder.create()
				.texOffs(34, 15).addBox(-4.0631F, -8.5F, -4.0631F, 8.1263F, 8.6F, 8.1263F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition cube_r1 = armorHead.addOrReplaceChild("cube_r1",
				CubeListBuilder.create().texOffs(102, 57).addBox(-1.1F, -2.0F, -1.0F, 4.3F, 3.5F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.7F, -3.0F, -3.8F, 0.1253F, -0.3235F, -0.0414F));

		PartDefinition cube_r2 = armorHead.addOrReplaceChild("cube_r2",
				CubeListBuilder.create().texOffs(78, 101).addBox(-1.1F, -2.0F, -1.0F, 4.3F, 4.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.7F, -6.5F, -4.8F, -0.0948F, -0.5316F, 0.0176F));

		PartDefinition cube_r3 = armorHead.addOrReplaceChild("cube_r3", CubeListBuilder.create().texOffs(4, 71)
				.addBox(0.4744F, -4.0F, -0.6724F, 0.198F, 2.9399F, 3.13F, new CubeDeformation(0.0F)).texOffs(2, 104)
				.addBox(0.4744F, -1.2F, -0.7724F, 0.298F, 0.2399F, 3.23F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.7F, -3.5F, -3.5F, 0.0F, 0.0F, -0.1658F));

		PartDefinition cube_r4 = armorHead.addOrReplaceChild("cube_r4",
				CubeListBuilder.create().texOffs(68, 83).addBox(-1.0798F, -0.2F, -1.0F, 4.2798F, 1.7F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.7F, -2.0F, -3.6F, 0.2495F, -0.309F, -0.1038F));

		PartDefinition cube_r5 = armorHead.addOrReplaceChild("cube_r5",
				CubeListBuilder.create().texOffs(84, 53)
						.addBox(-2.5F, -3.5F, -1.0F, 3.5F, 4.2F, 0.5F, new CubeDeformation(0.0F)).texOffs(102, 20)
						.addBox(-2.7F, -3.6F, -1.1F, 3.8F, 0.3F, 0.6F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.5F, -0.5F, -3.5F, 0.1893F, 0.2055F, 0.0702F));

		PartDefinition cube_r6 = armorHead.addOrReplaceChild("cube_r6", CubeListBuilder.create().texOffs(4, 71)
				.addBox(-0.5926F, -2.0F, -0.7522F, 0.1182F, 2.9F, 3.5689F, new CubeDeformation(0.0F)).texOffs(28, 107)
				.addBox(7.4744F, -2.1F, -0.7522F, 0.2182F, 0.3F, 3.5689F, new CubeDeformation(0.0F)).texOffs(4, 71)
				.addBox(7.4744F, -2.0F, -0.7522F, 0.1182F, 2.9F, 3.5689F, new CubeDeformation(0.0F)).texOffs(12, 107)
				.addBox(-0.6926F, -2.1F, -0.7522F, 0.2182F, 0.3F, 3.5689F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.5F, -2.1197F, -3.5F, 0.1745F, 0.0F, 0.0F));

		PartDefinition cube_r7 = armorHead
				.addOrReplaceChild("cube_r7",
						CubeListBuilder.create().texOffs(1, 0).addBox(0.0F, -17.0F, -5.0F, 0.0F, 22.0F, 16.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 1.5F, 5.5F, 0.3927F, 0.0F, 0.0F));

		PartDefinition cube_r8 = armorHead.addOrReplaceChild("cube_r8", CubeListBuilder.create().texOffs(72, 107)
				.addBox(-0.7724F, -1.2F, -0.7724F, 0.298F, 0.2399F, 3.23F, new CubeDeformation(0.0F)).texOffs(84, 39)
				.addBox(-0.6724F, -4.0F, -0.6724F, 0.198F, 2.9399F, 3.13F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.7F, -3.5F, -3.5F, 0.0F, 0.0F, 0.1658F));

		PartDefinition cube_r9 = armorHead.addOrReplaceChild("cube_r9",
				CubeListBuilder.create().texOffs(102, 63).addBox(-1.1638F, -1.2816F, -1.3276F, 2.1638F, 1.2816F,
						2.8191F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.5F, -8.0F, 0.0F, 0.0F, 0.0F, 0.4363F));

		PartDefinition cube_r10 = armorHead.addOrReplaceChild("cube_r10",
				CubeListBuilder.create().texOffs(100, 85).addBox(-1.0F, -1.2816F, -1.3276F, 2.1638F, 1.2816F, 2.8191F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.5F, -8.0F, 0.0F, 0.0F, 0.0F, -0.4363F));

		PartDefinition cube_r11 = armorHead.addOrReplaceChild("cube_r11",
				CubeListBuilder.create().texOffs(79, 101).addBox(-0.3F, -2.0F, -0.5F, 3.0F, 3.5F, 1.5F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.7F, -8.5F, -3.5F, -1.309F, -0.3578F, 0.0F));

		PartDefinition cube_r12 = armorHead.addOrReplaceChild("cube_r12",
				CubeListBuilder.create().texOffs(70, 13).addBox(-1.1F, 1.8F, -1.1F, 4.4F, 0.3F, 0.3F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.7F, -6.5F, -4.8F, -0.0926F, -0.4882F, 0.0129F));

		PartDefinition cube_r13 = armorHead.addOrReplaceChild("cube_r13",
				CubeListBuilder.create().texOffs(30, 95).addBox(-1.0F, -2.0F, -1.0F, 2.0F, 2.0F, 5.5F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -7.5F, 3.5F, -1.7017F, 0.0F, 0.0F));

		PartDefinition cube_r14 = armorHead.addOrReplaceChild("cube_r14",
				CubeListBuilder.create().texOffs(56, 73).addBox(-0.5F, -3.5F, 0.5F, 1.0F, 3.5F, 2.5F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -12.0F, 1.5F, -0.829F, 0.0F, 0.0F));

		PartDefinition cube_r15 = armorHead.addOrReplaceChild("cube_r15",
				CubeListBuilder.create().texOffs(64, 97).addBox(-1.5F, -3.5F, 0.0F, 3.0F, 3.5F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -9.0F, -0.5F, -0.5236F, 0.0F, 0.0F));

		PartDefinition cube_r16 = armorHead.addOrReplaceChild("cube_r16",
				CubeListBuilder.create().texOffs(94, 46).addBox(-1.0F, -2.0F, -1.0F, 2.0F, 2.0F, 5.5F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -7.5F, 1.0F, -0.2182F, 0.0F, 0.0F));

		PartDefinition cube_r17 = armorHead.addOrReplaceChild("cube_r17",
				CubeListBuilder.create().texOffs(83, 50).addBox(-0.5F, 0.4F, -6.3191F, 1.0F, 4.7297F, 1.4829F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -10.1092F, -0.5F, 0.0873F, 0.0F, 0.0F));

		PartDefinition cube_r18 = armorHead.addOrReplaceChild("cube_r18",
				CubeListBuilder.create().texOffs(76, 47).addBox(-1.0F, -2.0F, -5.8191F, 2.0F, 4.6297F, 6.9829F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -7.6092F, -0.5F, 0.0873F, 0.0F, 0.0F));

		PartDefinition cube_r19 = armorHead.addOrReplaceChild("cube_r19",
				CubeListBuilder.create().texOffs(42, 1).addBox(-2.7F, -2.0F, -3.0F, 3.0F, 3.5F, 3.5F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-0.7F, -8.5F, 3.5F, 1.309F, -0.3578F, 0.0F));

		PartDefinition cube_r20 = armorHead.addOrReplaceChild("cube_r20",
				CubeListBuilder.create().texOffs(79, 101).addBox(-2.7F, -2.0F, -0.5F, 3.0F, 3.5F, 1.5F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-0.7F, -8.5F, -3.5F, -1.309F, 0.3578F, 0.0F));

		PartDefinition cube_r21 = armorHead.addOrReplaceChild("cube_r21",
				CubeListBuilder.create().texOffs(80, 13).addBox(-3.3F, 1.8F, -1.1F, 4.4F, 0.3F, 0.3F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-0.7F, -6.5F, -4.8F, -0.0926F, 0.4882F, -0.0129F));

		PartDefinition cube_r22 = armorHead.addOrReplaceChild("cube_r22",
				CubeListBuilder.create().texOffs(86, 67).addBox(-3.2F, -0.2F, -1.0F, 4.2798F, 1.7F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-0.7F, -2.0F, -3.6F, 0.2495F, 0.309F, 0.1038F));

		PartDefinition cube_r23 = armorHead.addOrReplaceChild("cube_r23",
				CubeListBuilder.create().texOffs(24, 101).addBox(-3.2F, -2.0F, -1.0F, 4.3F, 3.5F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-0.7F, -3.0F, -3.8F, 0.1253F, 0.3235F, 0.0414F));

		PartDefinition cube_r24 = armorHead.addOrReplaceChild("cube_r24",
				CubeListBuilder.create().texOffs(96, 97).addBox(-3.2F, -2.0F, -1.0F, 4.3F, 4.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-0.7F, -6.5F, -4.8F, -0.0948F, 0.5316F, -0.0176F));

		PartDefinition cube_r25 = armorHead.addOrReplaceChild("cube_r25",
				CubeListBuilder.create().texOffs(48, 3).addBox(-0.3F, -2.0F, -3.0F, 3.0F, 3.5F, 3.5F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.7F, -8.5F, 3.5F, 1.309F, 0.3578F, 0.0F));

		PartDefinition cube_r26 = armorHead.addOrReplaceChild("cube_r26",
				CubeListBuilder.create().texOffs(102, 66)
						.addBox(-1.1F, -3.6F, -1.1F, 3.8F, 0.3F, 0.6F, new CubeDeformation(0.0F)).texOffs(82, 52)
						.addBox(-1.0F, -3.5F, -1.0F, 3.5F, 4.2F, 0.5F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.5F, -0.5F, -3.5F, 0.1893F, -0.2055F, -0.0702F));

		PartDefinition armorBody = partdefinition.addOrReplaceChild("armorBody",
				CubeListBuilder.create().texOffs(34, 31)
						.addBox(-4.5F, -0.5F, -2.5F, 9.0F, 13.0F, 5.0F, new CubeDeformation(0.0F)).texOffs(1, 38)
						.addBox(-4.6724F, 8.5F, -3.0F, 9.0F, 3.0F, 6.2184F, new CubeDeformation(0.0F)).texOffs(32, 77)
						.addBox(-1.0F, 10.0F, -4.0F, 2.0F, 3.0F, 1.0F, new CubeDeformation(0.0F)).texOffs(98, 68)
						.addBox(-2.5F, 11.0F, -3.7184F, 5.0F, 8.0F, 0.5F, new CubeDeformation(0.0F)).texOffs(104, 5)
						.addBox(-2.0F, 19.0F, -3.7184F, 4.0F, 2.0F, 0.5F, new CubeDeformation(0.0F)).texOffs(90, 101)
						.addBox(-1.0F, 21.0F, -3.7184F, 2.0F, 1.0F, 0.5F, new CubeDeformation(0.0F)),
				PartPose.offset(0.0F, 0.0F, 0.0F));

		PartDefinition cube_r27 = armorBody.addOrReplaceChild("cube_r27",
				CubeListBuilder.create().texOffs(100, 77).addBox(-1.0F, -2.0F, -1.5F, 2.0F, 5.5F, 3.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.9F, 0.5F, -3.9F, 0.0492F, -0.4795F, -0.0227F));

		PartDefinition cube_r28 = armorBody.addOrReplaceChild("cube_r28",
				CubeListBuilder.create().texOffs(89, 1).mirror()
						.addBox(-1.0F, -2.0F, -6.0F, 2.0F, 3.0F, 5.0F, new CubeDeformation(0.0F)).mirror(false)
						.texOffs(89, 1).addBox(-10.0F, -2.0F, -6.0F, 2.0F, 3.0F, 5.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(4.5F, -1.5F, 1.5F, 0.2618F, 0.0F, 0.0F));

		PartDefinition cube_r29 = armorBody.addOrReplaceChild("cube_r29",
				CubeListBuilder.create().texOffs(90, 2).mirror()
						.addBox(-1.0F, -1.0F, -3.6F, 2.0F, 2.0F, 4.0F, new CubeDeformation(0.0F)).mirror(false),
				PartPose.offsetAndRotation(4.0F, -2.0F, 3.5F, -0.0866F, -0.1744F, -0.0077F));

		PartDefinition cube_r30 = armorBody.addOrReplaceChild("cube_r30",
				CubeListBuilder.create().texOffs(49, 85).mirror()
						.addBox(-0.3908F, -3.5F, -1.0F, 5.0F, 2.0F, 3.0F, new CubeDeformation(0.0F)).mirror(false),
				PartPose.offsetAndRotation(0.0F, -2.0F, 3.0F, -1.3963F, 0.1745F, 0.0F));

		PartDefinition cube_r31 = armorBody.addOrReplaceChild("cube_r31",
				CubeListBuilder.create().texOffs(49, 85).mirror()
						.addBox(-0.3908F, -3.5F, -1.0F, 5.0F, 2.0F, 3.0F, new CubeDeformation(0.0F)).mirror(false),
				PartPose.offsetAndRotation(0.0F, 0.0F, 3.0F, -1.5708F, 0.1745F, 0.0F));

		PartDefinition cube_r32 = armorBody.addOrReplaceChild("cube_r32",
				CubeListBuilder.create().texOffs(49, 85).addBox(-4.6092F, -3.5F, -1.0F, 5.0F, 2.0F, 3.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 0.0F, 3.0F, -1.5708F, -0.1745F, 0.0F));

		PartDefinition cube_r33 = armorBody.addOrReplaceChild("cube_r33",
				CubeListBuilder.create().texOffs(49, 85).addBox(-4.6092F, -3.5F, -1.0F, 5.0F, 2.0F, 3.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, -2.0F, 3.0F, -1.3963F, -0.1745F, 0.0F));

		PartDefinition cube_r34 = armorBody.addOrReplaceChild("cube_r34",
				CubeListBuilder.create().texOffs(94, 53).addBox(-2.7207F, -3.0F, -1.0F, 4.4838F, 3.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(2.5F, 8.5F, 1.7207F, -0.1329F, 0.173F, -0.023F));

		PartDefinition cube_r35 = armorBody.addOrReplaceChild("cube_r35",
				CubeListBuilder.create().texOffs(56, 102).addBox(-2.5546F, -1.0F, -3.5F, 2.0406F, 2.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(2.7816F, 0.0F, -2.1908F, 0.0915F, -0.3042F, -0.0275F));

		PartDefinition cube_r36 = armorBody.addOrReplaceChild("cube_r36",
				CubeListBuilder.create().texOffs(0, 93).addBox(-4.5546F, -1.5F, 1.5F, 5.2406F, 6.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.2816F, 0.5F, 1.3908F, -0.1828F, 0.3006F, -0.0547F));

		PartDefinition cube_r37 = armorBody.addOrReplaceChild("cube_r37",
				CubeListBuilder.create().texOffs(16, 90).addBox(-0.686F, -1.5F, 1.5F, 5.2406F, 6.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.2816F, 0.5F, 1.3908F, -0.1828F, -0.3006F, 0.0547F));

		PartDefinition cube_r38 = armorBody.addOrReplaceChild("cube_r38",
				CubeListBuilder.create().texOffs(0, 93).addBox(-4.5546F, -1.5F, -3.5F, 5.2406F, 7.5F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(3.2816F, 0.0F, -1.3908F, 0.0915F, -0.3042F, -0.0275F));

		PartDefinition cube_r39 = armorBody.addOrReplaceChild("cube_r39", CubeListBuilder.create().texOffs(76, 61)
				.addBox(-1.1995F, -1.0F, -1.0F, 2.4179F, 1.3276F, 1.0F, new CubeDeformation(0.0F)).texOffs(32, 81)
				.addBox(-1.2184F, -1.0F, -1.0F, 2.4179F, 1.3276F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 10.5F, -3.0F, -0.7854F, 0.0F, 0.0F));

		PartDefinition cube_r40 = armorBody.addOrReplaceChild("cube_r40",
				CubeListBuilder.create().texOffs(24, 99).addBox(0.7F, -4.1F, -1.3F, 2.3F, 2.1F, 0.8F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.0F, 14.5F, -2.5F, 0.0F, 0.0F, -0.3927F));

		PartDefinition cube_r41 = armorBody.addOrReplaceChild("cube_r41", CubeListBuilder.create().texOffs(81, 108)
				.addBox(-1.33F, 4.24F, -0.5699F, 2.66F, 0.93F, 0.3049F, new CubeDeformation(0.0F)).texOffs(81, 113)
				.addBox(-1.0088F, 10.44F, -0.53F, 1.9777F, 0.53F, 0.265F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(2.106F, -5.0825F, -5.2781F, 0.0F, -0.3054F, 0.0F));

		PartDefinition cube_r42 = armorBody.addOrReplaceChild("cube_r42", CubeListBuilder.create().texOffs(73, 105)
				.addBox(-1.1398F, 3.71F, -0.53F, 2.2796F, 1.06F, 0.265F, new CubeDeformation(0.0F)).texOffs(81, 108)
				.addBox(-1.325F, -0.53F, -0.53F, 2.65F, 4.24F, 0.265F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(2.106F, 0.5875F, -5.3311F, 0.0F, -0.3054F, 0.0F));

		PartDefinition cube_r43 = armorBody.addOrReplaceChild("cube_r43",
				CubeListBuilder.create().texOffs(78, 97).addBox(-3.0F, -4.1F, -1.3F, 2.3F, 2.1F, 0.8F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.0F, 14.5F, -2.5F, 0.0F, 0.0F, 0.3927F));

		PartDefinition cube_r44 = armorBody.addOrReplaceChild("cube_r44",
				CubeListBuilder.create().texOffs(14, 99).addBox(-1.0F, -2.0F, -1.5F, 2.0F, 5.5F, 3.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.9F, 0.5F, -3.9F, 0.0492F, 0.4795F, 0.0227F));

		PartDefinition cube_r45 = armorBody.addOrReplaceChild("cube_r45",
				CubeListBuilder.create().texOffs(90, 2).addBox(-1.0F, -1.0F, -3.6F, 2.0F, 2.0F, 4.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-4.0F, -2.0F, 3.5F, -0.0866F, 0.1744F, 0.0077F));

		PartDefinition cube_r46 = armorBody.addOrReplaceChild("cube_r46",
				CubeListBuilder.create().texOffs(94, 53).addBox(-1.7631F, -3.0F, -1.0F, 4.4838F, 3.0F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-2.5F, 8.5F, 1.7207F, -0.1329F, -0.173F, 0.023F));

		PartDefinition cube_r47 = armorBody
				.addOrReplaceChild("cube_r47",
						CubeListBuilder.create().texOffs(94, 29).addBox(-3.0F, -3.0F, -1.0F, 6.0F, 3.0F, 2.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 8.5F, -2.0F, 0.1309F, 0.0F, 0.0F));

		PartDefinition cube_r48 = armorBody
				.addOrReplaceChild("cube_r48",
						CubeListBuilder.create().texOffs(34, 0).addBox(-5.0F, -1.0F, -3.5F, 10.0F, 7.0F, 8.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(0.0F, 0.0F, -1.0F, 0.0873F, 0.0F, 0.0F));

		PartDefinition cube_r49 = armorBody.addOrReplaceChild("cube_r49",
				CubeListBuilder.create().texOffs(16, 90).addBox(-0.686F, -1.5F, -3.5F, 5.2406F, 7.5F, 2.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-3.2816F, 0.0F, -1.3908F, 0.0915F, 0.3042F, 0.0275F));

		PartDefinition armorLeftArm = partdefinition.addOrReplaceChild("armorLeftArm", CubeListBuilder.create()
				.texOffs(20, 49).addBox(-0.8F, -2.5F, -2.5F, 5.197F, 13.0F, 5.0F, new CubeDeformation(0.0F))
				.texOffs(43, 2).addBox(-1.0F, 4.7868F, -2.7207F, 3.0F, 6.0536F, 5.4813F, new CubeDeformation(0.0F))
				.texOffs(66, 15).addBox(0.0F, 0.5F, -3.5F, 5.5F, 1.0F, 7.0F, new CubeDeformation(0.0F)).texOffs(16, 67)
				.addBox(0.0F, -3.5F, -3.0F, 5.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)).texOffs(70, 0)
				.addBox(1.6995F, 3.2868F, -3.0F, 3.3005F, 7.7132F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offset(4.0F, 2.0F, 0.0F));

		PartDefinition cube_r50 = armorLeftArm
				.addOrReplaceChild("cube_r50",
						CubeListBuilder.create().texOffs(16, 77).addBox(-4.0F, -3.9813F, -3.5F, 1.5F, 6.0985F, 7.0F,
								new CubeDeformation(0.0F)),
						PartPose.offsetAndRotation(4.0F, 0.5F, 0.0F, 0.0F, 0.0F, 0.3054F));

		PartDefinition armorRightArm = partdefinition.addOrReplaceChild("armorRightArm",
				CubeListBuilder.create().texOffs(0, 48)
						.addBox(-4.397F, -2.5F, -2.5F, 5.197F, 13.0F, 5.0F, new CubeDeformation(0.0F)).texOffs(40, 63)
						.addBox(-5.0F, -3.5F, -3.0F, 5.0F, 4.0F, 6.0F, new CubeDeformation(0.0F)).texOffs(70, 0)
						.addBox(-5.0F, 3.2868F, -3.0F, 3.3005F, 7.7132F, 6.0F, new CubeDeformation(0.0F)).texOffs(42, 2)
						.addBox(-2.0F, 4.7868F, -2.7207F, 3.1409F, 6.0536F, 5.4813F, new CubeDeformation(0.0F))
						.texOffs(62, 63).addBox(-5.5F, 0.5F, -3.5F, 5.5F, 1.0F, 7.0F, new CubeDeformation(0.0F)),
				PartPose.offset(-4.0F, 2.0F, 0.0F));

		PartDefinition cube_r51 = armorRightArm.addOrReplaceChild("cube_r51",
				CubeListBuilder.create().texOffs(78, 23).addBox(2.5F, -3.9813F, -3.5F, 1.5F, 6.0985F, 7.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-4.0F, 0.5F, 0.0F, 0.0F, 0.0F, -0.3054F));

		PartDefinition armorLeftLeg = partdefinition.addOrReplaceChild("armorLeftLeg",
				CubeListBuilder.create().texOffs(40, 49)
						.addBox(-2.1007F, -0.5F, -2.5F, 4.3007F, 10.0F, 5.0F, new CubeDeformation(0.0F)).texOffs(76, 47)
						.addBox(-0.6007F, 1.0F, -3.0F, 3.3007F, 5.0F, 6.0F, new CubeDeformation(0.0F)),
				PartPose.offset(2.0F, 12.0F, 0.0F));

		PartDefinition cube_r52 = armorLeftLeg.addOrReplaceChild("cube_r52",
				CubeListBuilder.create().texOffs(93, 88).addBox(-3.5F, -2.0F, 2.5F, 5.2645F, 8.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(1.5F, 2.0F, 0.0F, 0.2608F, 0.0226F, -0.0843F));

		PartDefinition cube_r53 = armorLeftLeg.addOrReplaceChild("cube_r53",
				CubeListBuilder.create().texOffs(83, 86).addBox(0.5F, -2.5F, -2.2816F, 1.2184F, 8.5F, 5.773F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(2.0F, 2.0F, 0.0F, 0.2597F, 0.0338F, -0.1265F));

		PartDefinition cube_r54 = armorLeftLeg.addOrReplaceChild("cube_r54",
				CubeListBuilder.create().texOffs(90, 7).mirror()
						.addBox(0.5F, -2.5F, -2.2816F, 1.2184F, 8.5F, 5.773F, new CubeDeformation(0.0F)).mirror(false),
				PartPose.offsetAndRotation(1.8803F, 4.5F, 0.3005F, 0.2597F, 0.0338F, -0.1265F));

		PartDefinition cube_r55 = armorLeftLeg.addOrReplaceChild("cube_r55",
				CubeListBuilder.create().texOffs(66, 29).mirror()
						.addBox(-3.5546F, 5.5F, 2.4454F, 5.3191F, 0.6F, 1.1092F, new CubeDeformation(0.0F))
						.mirror(false).texOffs(96, 34).mirror()
						.addBox(-3.5F, -2.0F, 2.5F, 5.2645F, 8.0F, 1.0F, new CubeDeformation(0.0F)).mirror(false),
				PartPose.offsetAndRotation(1.5F, 5.0F, 0.5F, 0.2608F, 0.0226F, -0.0843F));

		PartDefinition cube_r56 = armorLeftLeg.addOrReplaceChild("cube_r56",
				CubeListBuilder.create().texOffs(1, 84).mirror()
						.addBox(0.5F, 5.5F, -2.4454F, 1.3276F, 0.5546F, 5.9915F, new CubeDeformation(0.0F))
						.mirror(false),
				PartPose.offsetAndRotation(2.2394F, 4.8803F, 0.5F, 0.2597F, 0.0338F, -0.1265F));

		PartDefinition armorLeftBoot = partdefinition.addOrReplaceChild("armorLeftBoot", CubeListBuilder.create()
				.texOffs(42, 3).addBox(-2.2184F, 8.0F, -2.773F, 4.7184F, 5.0F, 5.5461F, new CubeDeformation(0.0F)),
				PartPose.offset(2.0F, 12.0F, 0.0F));

		PartDefinition cube_r57 = armorLeftBoot.addOrReplaceChild("cube_r57",
				CubeListBuilder.create().texOffs(96, 43).addBox(-1.9977F, -4.399F, -3.0922F, 4.4179F, 2.399F, 1.384F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 10.0F, 0.5985F, 0.1309F, 0.0F, 0.0F));

		PartDefinition armorRightLeg = partdefinition.addOrReplaceChild("armorRightLeg",
				CubeListBuilder.create().texOffs(38, 73)
						.addBox(-2.7F, 1.0F, -3.0F, 3.3007F, 5.0F, 6.0F, new CubeDeformation(0.0F)).texOffs(58, 49)
						.addBox(-2.2F, -0.5F, -2.5F, 4.3007F, 10.0F, 5.0F, new CubeDeformation(0.0F)),
				PartPose.offset(-2.0F, 12.0F, 0.0F));

		PartDefinition cube_r58 = armorRightLeg.addOrReplaceChild("cube_r58",
				CubeListBuilder.create().texOffs(90, 7).addBox(-1.7184F, -2.5F, -2.2816F, 1.2184F, 8.5F, 5.773F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.8803F, 4.5F, 0.3005F, 0.2597F, -0.0338F, 0.1265F));

		PartDefinition cube_r59 = armorRightLeg.addOrReplaceChild("cube_r59",
				CubeListBuilder.create().texOffs(90, 7).addBox(-1.7184F, -2.5F, -2.2816F, 1.2184F, 8.5F, 5.773F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.8803F, 2.0F, 0.0F, 0.2597F, -0.0338F, 0.1265F));

		PartDefinition cube_r60 = armorRightLeg.addOrReplaceChild("cube_r60",
				CubeListBuilder.create().texOffs(66, 29)
						.addBox(-1.7645F, 5.5F, 2.4454F, 5.3191F, 0.6F, 1.1092F, new CubeDeformation(0.0F))
						.texOffs(96, 34).addBox(-1.7645F, -2.0F, 2.5F, 5.2645F, 8.0F, 1.0F, new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.5F, 5.0F, 0.5F, 0.2608F, -0.0226F, 0.0843F));

		PartDefinition cube_r61 = armorRightLeg.addOrReplaceChild("cube_r61",
				CubeListBuilder.create().texOffs(96, 34).addBox(-1.7645F, -2.0F, 2.5F, 5.2645F, 8.0F, 1.0F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-1.5F, 2.0F, 0.0F, 0.2608F, -0.0226F, 0.0843F));

		PartDefinition cube_r62 = armorRightLeg.addOrReplaceChild("cube_r62",
				CubeListBuilder.create().texOffs(1, 84).addBox(-1.8276F, 5.5F, -2.4454F, 1.3276F, 0.5546F, 5.9915F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(-2.2394F, 4.8803F, 0.5F, 0.2597F, -0.0338F, 0.1265F));

		PartDefinition armorRightBoot = partdefinition.addOrReplaceChild("armorRightBoot", CubeListBuilder.create()
				.texOffs(38, 3).addBox(-2.5F, 8.0F, -2.773F, 4.7184F, 5.0F, 5.5461F, new CubeDeformation(0.0F)),
				PartPose.offset(-2.0F, 12.0F, 0.0F));

		PartDefinition cube_r63 = armorRightBoot.addOrReplaceChild("cube_r63",
				CubeListBuilder.create().texOffs(76, 58).addBox(-2.4202F, -4.399F, -3.0922F, 4.4179F, 2.399F, 1.384F,
						new CubeDeformation(0.0F)),
				PartPose.offsetAndRotation(0.0F, 10.0F, 0.5985F, 0.1309F, 0.0F, 0.0F));

		return LayerDefinition.create(meshdefinition, 128, 128);
	}

	@Override
	public void setupAnim(Entity entity, float limbSwing, float limbSwingAmount, float ageInTicks, float netHeadYaw,
			float headPitch) {

	}

	@Override
	public void renderToBuffer(PoseStack poseStack, VertexConsumer vertexConsumer, int packedLight, int packedOverlay,
			float red, float green, float blue, float alpha) {
		armorHead.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		armorBody.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		armorLeftArm.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		armorRightArm.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		armorLeftLeg.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		armorLeftBoot.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		armorRightLeg.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
		armorRightBoot.render(poseStack, vertexConsumer, packedLight, packedOverlay, red, green, blue, alpha);
	}
}